LinuxQuestions.org
Latest LQ Deal: Linux Power User Bundle
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 08-26-2010, 03:55 PM   #16
John VV
LQ Muse
 
Registered: Aug 2005
Location: A2 area Mi.
Posts: 16,990

Rep: Reputation: 2448Reputation: 2448Reputation: 2448Reputation: 2448Reputation: 2448Reputation: 2448Reputation: 2448Reputation: 2448Reputation: 2448Reputation: 2448Reputation: 2448

with red hat if you are NOT using the rhn that YOU PAID FOR
you DID buy a license for red hat ?? right
rhel is NOT FREE

then you WILL have big problems installing software on a NOT paid for rhel install
you will have NO security updates , just the software that is allready there

please PAY FOR RED HAT
or install the community supported version CentOS 5.5

also be warned with red hat ,RHEL 5.5 and CentOS 5.5 , these are DESIGNED and TARGETED for the server and office ,and lab environment
there are NOT DESIGNED for the home computer .
as such there is not a BUNCH of home use software for these two .
I use cent 5.5 to run scientific software ( ISIS3 - NASA/USGS ) BUT use OpenSUSE as a every day OS

if you WANT to use a PAID for rhel 5.5 on a home system -- be prepared to BUILD A LOT of the programs you want to use from the source code .
 
Old 08-26-2010, 04:09 PM   #17
antriksh
Member
 
Registered: Aug 2010
Location: In my world
Distribution: Oracle Linux 6
Posts: 81

Original Poster
Rep: Reputation: 0
right now i can't use centos or suse because i am gonna prepare for RHCSS and for that i need RHEL...back to problem this is my final result--


--> Missing Dependency: libdvdread.so.3 is needed by package vlc-0.9.9a-5.el5.rf.i386 (rpmforge)
Error: Missing Dependency: libdvdread.so.3 is needed by package vlc-0.9.9a-5.el5.rf.i386 (rpmforge)

[root@localhost ~]# yum list libdvdread
Loaded plugins: rhnplugin, security
This system is not registered with RHN.
RHN support will be disabled.
Installed Packages
libdvdread.i386 0.9.7-1.el5.rf installed


i have installed libdvdread then why it is still showing libdvdread.so.3 is needed by package vlc-0.9.9a-5.el5.rf.i386???
 
Old 08-26-2010, 04:12 PM   #18
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2016, Slack14.1 Deb Jessie, + 50+ other Linux OS, for test only.
Posts: 16,276

Rep: Reputation: 3156Reputation: 3156Reputation: 3156Reputation: 3156Reputation: 3156Reputation: 3156Reputation: 3156Reputation: 3156Reputation: 3156Reputation: 3156Reputation: 3156
Post # 15 : What are you trying to install ? Name and version, please.

The 'epel.repo' provides libdvdread.so.4, required by mplayer.

The rpmforge.repo provides libdvdread.so.3 for vlc.
Solution for vlc : See post # 9.
.....

And no, I got no missing libXvMCW.so.1 , libSDL-1.2.so.0 :
I always choose "Develop Software" at OS install to have the
most possible library packages at once from the install cd / DVD.
.....
 
Old 08-26-2010, 04:31 PM   #19
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2016, Slack14.1 Deb Jessie, + 50+ other Linux OS, for test only.
Posts: 16,276

Rep: Reputation: 3156Reputation: 3156Reputation: 3156Reputation: 3156Reputation: 3156Reputation: 3156Reputation: 3156Reputation: 3156Reputation: 3156Reputation: 3156Reputation: 3156
About RHCSS : I am sure the identical CentOS 5.5 is better
than a Redhat EL 5.x with no account.

And with CentOS, all the packages are available with 'yum'.
No risk of trashing the OS with manually downloaded packages.
..

Just made a third install test : vlc (On a third RH EL.)
40 dependencies from rpmforge / rpmfusion, the only one from
the "base" repo is ' qt4 '. No errors, no missing dependencies.
..

Last edited by knudfl; 08-26-2010 at 04:46 PM.
 
Old 08-26-2010, 04:37 PM   #20
eegerda
LQ Newbie
 
Registered: Apr 2005
Location: NJ
Distribution: Centos 5.5
Posts: 15

Rep: Reputation: 1
Centos and RHEL are exactly identical for the exeception of the Logo and the name. Centos is built from Red Hat sources. You would make your life much easier if you just use Centos. I'm using Centos at home and RHEL at work. No diferrence!
 
Old 08-26-2010, 05:32 PM   #21
John VV
LQ Muse
 
Registered: Aug 2005
Location: A2 area Mi.
Posts: 16,990

Rep: Reputation: 2448Reputation: 2448Reputation: 2448Reputation: 2448Reputation: 2448Reputation: 2448Reputation: 2448Reputation: 2448Reputation: 2448Reputation: 2448Reputation: 2448
if YOU ARE NOT going to Pay Red Hat A MUST IF YOU ARE GOING TO USE IT )
then PAY for it , think of it as a tax for the RHCSS

also CentOS operates THE SAME except for having to register it with red hat after you BOUGHT a license

with OUT A LICENSE rhel5 can NEVER be updated to the current version and is OUT OF DATE and has NO SECURITY FIXES INSTALLED
 
Old 08-27-2010, 05:03 AM   #22
antriksh
Member
 
Registered: Aug 2010
Location: In my world
Distribution: Oracle Linux 6
Posts: 81

Original Poster
Rep: Reputation: 0
thanks john for your suggestion but i can't afford to buy RHEL...rather i will try centos later on...
 
Old 08-27-2010, 06:57 AM   #23
antriksh
Member
 
Registered: Aug 2010
Location: In my world
Distribution: Oracle Linux 6
Posts: 81

Original Poster
Rep: Reputation: 0
yesterday i have successfully installed mplayer-gui....after installing it my audio has been gone....so i uninstalled mplayer...still my audio is not working...also i have successfully resolve the dependencies needed by vlc player...the method suggested by knudfl works great...thank you very-2 much knudfl...

please tell now how to solve my audio problem..also previously at boot time my when login screen flashes my audio was working and i can hear the startup sound but now it isn't working...please help...thanks once again to all of you for help...
 
Old 08-27-2010, 06:57 AM   #24
antriksh
Member
 
Registered: Aug 2010
Location: In my world
Distribution: Oracle Linux 6
Posts: 81

Original Poster
Rep: Reputation: 0
one more problem after installing vlc with yum when i select vlc from Accessories->Sound & video->vlc nothing happens...vlc doesn't show up...

Last edited by antriksh; 08-27-2010 at 08:22 AM.
 
Old 08-28-2010, 02:01 AM   #25
kingston
Member
 
Registered: Mar 2008
Location: Bengaluru, India
Distribution: RHEL 5.5, Solaris 5.10
Posts: 215
Blog Entries: 1

Rep: Reputation: 21
try to open vlc with non-root user...root user is not allowed to use VLC
 
Old 08-28-2010, 02:17 AM   #26
John VV
LQ Muse
 
Registered: Aug 2005
Location: A2 area Mi.
Posts: 16,990

Rep: Reputation: 2448Reputation: 2448Reputation: 2448Reputation: 2448Reputation: 2448Reputation: 2448Reputation: 2448Reputation: 2448Reputation: 2448Reputation: 2448Reputation: 2448
this might be the incompatibility between the rhel 5.5 rpm and the NOT updated "free & unsupported " not paid for rhel 5.1
and or missing dependency’s like pulse audio or alsa plugins
that on a paid for ( or the fully supported free CentOS 5.5 ) yum would auto install.
 
Old 08-28-2010, 02:38 AM   #27
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2016, Slack14.1 Deb Jessie, + 50+ other Linux OS, for test only.
Posts: 16,276

Rep: Reputation: 3156Reputation: 3156Reputation: 3156Reputation: 3156Reputation: 3156Reputation: 3156Reputation: 3156Reputation: 3156Reputation: 3156Reputation: 3156Reputation: 3156
Please open a terminal and type : vlc

The reply will tell, which errors / missings, you have.

..
 
Old 08-28-2010, 06:22 AM   #28
antriksh
Member
 
Registered: Aug 2010
Location: In my world
Distribution: Oracle Linux 6
Posts: 81

Original Poster
Rep: Reputation: 0
sorry my audio wasn't working so i reinstalled the RHEL...now i have atleast working mplayer[THANKS TO ALL OF YOU]...but when i do "yum install vlc"...it shows.--

Error: Missing Dependency: libQtGui.so.4 is needed by package vlc-0.9.9a-5.el5.rf.i386 (rpmforge)
Error: Missing Dependency: libQtCore.so.4 is needed by package vlc-0.9.9a-5.el5.rf.i386 (rpmforge)
Error: Missing Dependency: libdvdread.so.3 is needed by package vlc-0.9.9a-5.el5.rf.i386 (rpmforge)
 
Old 08-28-2010, 02:16 PM   #29
John VV
LQ Muse
 
Registered: Aug 2005
Location: A2 area Mi.
Posts: 16,990

Rep: Reputation: 2448Reputation: 2448Reputation: 2448Reputation: 2448Reputation: 2448Reputation: 2448Reputation: 2448Reputation: 2448Reputation: 2448Reputation: 2448Reputation: 2448
i take it you did not install the required qt !
this would have been AUTO installed from the red hat COMMUNITY VERSION ( centos 5.5 )

with the UNPAID FOR rhel5.3( out of date ) you are in what is called " dependency HELL " like the MS windows " dll hell"


this is WHY yum is used
but yum ONLY works on a paid for RHEL

if you are not going to pay for it
1) uninstall yum - it is usless on the unpaid RHEL
2)install all rpm's by hand using "rpm"
-- rpm has NO dependency handling so YOU need to install EVERY dependency for a rpm ( and EVERY dependency for the dependency ) one at a time by hand

i would reformat the drive and install the 99.99999999999999% identical CentOS 5.5
 
Old 08-28-2010, 03:26 PM   #30
antriksh
Member
 
Registered: Aug 2010
Location: In my world
Distribution: Oracle Linux 6
Posts: 81

Original Poster
Rep: Reputation: 0
i would certainly take your device john...but i unfortunately right now i don't have fast internet connection i can't download 3 gb iso image....as soon as i got fast internet i would certainly switch to centos 5.5....
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Installing VLC using vlc-0.9.9a-4.el5.rf.i386.rpm--Error relating to Dependencies redhat5 Linux - Newbie 1 12-17-2009 05:23 PM
Installing Windows XP after installing Red Hat 9 BluePyre Linux - General 7 03-09-2004 04:37 PM
Install help for ucl vic or vlc under Red Hat 7.3 sometims_steve Linux - Software 10 11-03-2003 02:30 PM
Installing Red Hat essention Linux - General 2 01-08-2003 12:15 AM
Installing Red Hat Larry James Linux - Distributions 1 12-24-2000 02:53 PM


All times are GMT -5. The time now is 08:17 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration